getMyDeveloper
GET
/v1/developers/me
const url = 'https://testnet-rpc.necter.network/v1/developers/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://testnet-rpc.necter.network/v1/developers/me \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Developer record incl. enrollment and verification
Media typeapplication/json
object
address
required
Lowercase EVM address
string
display_name
string | null
developer_type
string | null
bio
string | null
website
string | null
logo
string | null
location
string | null
social
object
twitter
string
discord
string
github
string
telegram
string
email
Owner and operator only
string | null
enrollment
required
object
status
string
submitted_at
integer | null
reviewed_at
integer | null
notes
string | null
verification
required
object
status
string
requested_at
integer | null
reviewed_at
integer | null
projects
integer
miners
integer
joined_at
integer
Example
{ "developer_type": "individual", "enrollment": { "status": "none" }, "verification": { "status": "unverified" }}not_found
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}